# Class FastTransform

#### Hierarchy (View Summary)

- GeometryTransform
  - FastTransform

##### Index

### Constructors

constructor

### Properties

_nA
_nB
_nC
_nD
_nE
_nF
_nG
_nH
_nJ
_translation
_vA
_vB
_vC
_vD
_vE
_vF
_vG
_vH
_vJ
type

### Methods

rotatePackedNormal
rotatePackedNormalInPlace
toMatrixArray
transformInPlace
transformInPlaceVector3
transformPositions
transformToVertex3
translateToRef
identity
transformToMatrixArray

## Constructors

### constructor

- new FastTransform(transform: BimTransform): FastTransform

  #### Parameters

  - transform: BimTransform

  #### Returns FastTransform

  Overrides GeometryTransform.constructor

## Properties

### `Protected`_nA

_nA: number

Inherited from GeometryTransform._nA

### `Protected`_nB

_nB: number

Inherited from GeometryTransform._nB

### `Protected`_nC

_nC: number

Inherited from GeometryTransform._nC

### `Protected`_nD

_nD: number

Inherited from GeometryTransform._nD

### `Protected`_nE

_nE: number

Inherited from GeometryTransform._nE

### `Protected`_nF

_nF: number

Inherited from GeometryTransform._nF

### `Protected`_nG

_nG: number

Inherited from GeometryTransform._nG

### `Protected`_nH

_nH: number

Inherited from GeometryTransform._nH

### `Protected`_nJ

_nJ: number

Inherited from GeometryTransform._nJ

### `Protected` `Readonly`_translation

_translation: Vertex3

Inherited from GeometryTransform._translation

### `Protected`_vA

_vA: number

Inherited from GeometryTransform._vA

### `Protected`_vB

_vB: number

Inherited from GeometryTransform._vB

### `Protected`_vC

_vC: number

Inherited from GeometryTransform._vC

### `Protected`_vD

_vD: number

Inherited from GeometryTransform._vD

### `Protected`_vE

_vE: number

Inherited from GeometryTransform._vE

### `Protected`_vF

_vF: number

Inherited from GeometryTransform._vF

### `Protected`_vG

_vG: number

Inherited from GeometryTransform._vG

### `Protected`_vH

_vH: number

Inherited from GeometryTransform._vH

### `Protected`_vJ

_vJ: number

Inherited from GeometryTransform._vJ

### `Readonly` type

type: TransformType

Inherited from GeometryTransform.type

## Methods

### rotatePackedNormal

- rotatePackedNormal(packedNormal: number): number

  #### Parameters

  - packedNormal: number

  #### Returns number

  Inherited from GeometryTransform.rotatePackedNormal

### rotatePackedNormalInPlace

- rotatePackedNormalInPlace(
  packedNormal: number,
  dst: Float32Array,
  dstOffset: number,
  ): void

  #### Parameters

  - packedNormal: number
  - dst: Float32Array
  - dstOffset: number

  #### Returns void

### toMatrixArray

- toMatrixArray(dst: Float32Array): Float32Array

  #### Parameters

  - dst: Float32Array

  #### Returns Float32Array

  Inherited from GeometryTransform.toMatrixArray

### transformInPlace

- transformInPlace(
  x: number,
  y: number,
  z: number,
  dst: MutableArrayLike<number>,
  dstOffset: number,
  ): void

  #### Parameters

  - x: number
  - y: number
  - z: number
  - dst: MutableArrayLike<number>
  - dstOffset: number

  #### Returns void

  Inherited from GeometryTransform.transformInPlace

### transformInPlaceVector3

- transformInPlaceVector3(x: number, y: number, z: number, dst: Vertex3): void

  #### Parameters

  - x: number
  - y: number
  - z: number
  - dst: Vertex3

  #### Returns void

### transformPositions

- transformPositions(
  positions: ArrayLike<number>,
  vertexCount: number,
  ): Float64Array

  #### Parameters

  - positions: ArrayLike<number>
  - vertexCount: number

  #### Returns Float64Array

  Inherited from GeometryTransform.transformPositions

### transformToVertex3

- transformToVertex3(x: number, y: number, z: number, dst: Vertex3): void

  #### Parameters

  - x: number
  - y: number
  - z: number
  - dst: Vertex3

  #### Returns void

  Inherited from GeometryTransform.transformToVertex3

### translateToRef

- translateToRef(center: Vertex3, dst: FastTransform): FastTransform

  #### Parameters

  - center: Vertex3
  - dst: FastTransform

  #### Returns FastTransform

  Overrides GeometryTransform.translateToRef

- translateToRef(
  cx: number,
  cy: number,
  cz: number,
  dst: GeometryTransform,
  ): GeometryTransform

  #### Parameters

  - cx: number
  - cy: number
  - cz: number
  - dst: GeometryTransform

  #### Returns GeometryTransform

  Overrides GeometryTransform.translateToRef

### `Static` identity

- identity(): FastTransform

  #### Returns FastTransform

  Overrides GeometryTransform.identity

### `Static` transformToMatrixArray

- transformToMatrixArray(t: BimTransform, dst: Float64Array, offset: number): void

  #### Parameters

  - t: BimTransform
  - dst: Float64Array
  - offset: number

  #### Returns void

  Overrides GeometryTransform.transformToMatrixArray